<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: article.mod.xsl,v 1.3 2001/03/30 20:28:57 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE: Template for articles.
 |   
 + ############################################################################ -->
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>

<xsl:template match="article">
<xsl:value-of select="$lyx.article.preamblestart"/>
<xsl:call-template name="label.id"/>
<xsl:call-template name="generate.lyx.common.preamble">
  <xsl:with-param name="textclass">docbook</xsl:with-param>
</xsl:call-template>
<xsl:choose>
  <xsl:when test="./title">
    <xsl:text>\layout Title&#10;</xsl:text>
    <xsl:value-of select="normalize-space(./title)"/>
  </xsl:when>
  <xsl:when test="./articleinfo/title"> 
    <xsl:text>\layout Title&#10;</xsl:text>
    <xsl:value-of select="normalize-space(./articleinfo/title)"/>
  </xsl:when>
  <xsl:otherwise>
  <xsl:if test="./artheader/title">
    <xsl:apply-templates select="./artheader/title"/>
  </xsl:if>
  </xsl:otherwise>
</xsl:choose>
<xsl:text>&#10;</xsl:text>
<xsl:choose>
  <xsl:when test="artheader/authorgroup">
              <xsl:apply-templates select="artheader/authorgroup"/>
            </xsl:when>
            <xsl:when test="articleinfo/authorgroup">
              <xsl:apply-templates select="articleinfo/authorgroup"/>
            </xsl:when>
            <xsl:when test="artheader/author">
              <xsl:apply-templates select="artheader/author"/>
            </xsl:when>
            <xsl:when test="articleinfo/author">
              <xsl:apply-templates select="articleinfo/author"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:apply-templates select="author"/>
            </xsl:otherwise>
</xsl:choose>
<xsl:text>&#10;</xsl:text>
<xsl:apply-templates/>
<xsl:value-of select="$lyx.book.end"/>
</xsl:template>

<xsl:template match="artheader/date">
<xsl:text>\layout Date&#10;</xsl:text>
<xsl:value-of select="normalize-space(.)"/>
<xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="article/artheader|article/articleinfo">
    <xsl:apply-templates select="date"/>
    <xsl:apply-templates select="abstract"/>
</xsl:template>

<xsl:template match="article/title"></xsl:template>
<xsl:template match="article/subtitle"></xsl:template>
</xsl:stylesheet>

