<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>
<!--########################################################################### 
 |    $Id: figure.mod.xsl,v 1.4 2001/07/04 22:45:57 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE: Template for figure tag.
 + ############################################################################ -->

<xsl:template match="figure|informalfigure">
<xsl:text>\begin_float fig&#10;</xsl:text>

<xsl:call-template name="float.nest">
  <xsl:with-param name="string">
    <xsl:text>\end_deeper &#10;</xsl:text>
  </xsl:with-param>
  <xsl:with-param name="begin">1</xsl:with-param>
</xsl:call-template>

<xsl:if test="graphic|mediaobject">
  <xsl:text>\layout Standard&#10;</xsl:text>
  <xsl:text>\align center&#10;</xsl:text>
</xsl:if>
<xsl:apply-templates select="graphic|mediaobject|programlisting|literallayout"/>
<xsl:text>&#10;\layout Caption&#10;</xsl:text>
<xsl:choose> 
  <xsl:when test="title">
    <xsl:apply-templates select="title"/>
  </xsl:when> 
  <xsl:otherwise>
    <xsl:text>***Please, add a title to figures</xsl:text>
  </xsl:otherwise> 
</xsl:choose>
<xsl:text>&#10;</xsl:text>
<xsl:call-template name="label.id"/>
<xsl:text>\end_float &#10;</xsl:text>

<xsl:call-template name="float.nest">
  <xsl:with-param name="string">
    <xsl:text>\begin_deeper &#10;</xsl:text>
  </xsl:with-param>
  <xsl:with-param name="begin">0</xsl:with-param>
</xsl:call-template>

</xsl:template>


<!-- Floats need to deep and undeep when included in a list. The nesting is
     the list depth. -->

<xsl:template name="float.nest">
<xsl:param name="string"/>
<xsl:param name="begin"/>
<xsl:variable name="order.depth" select="count(ancestor::orderedlist)"/>
<xsl:variable name="item.depth" select="count(ancestor::itemizedlist)"/>
<xsl:variable name="list.depth" select="$order.depth + $item.depth"/>

<xsl:for-each select="ancestor::orderedlist[not(last())]">
  <xsl:value-of select="$string"/>
</xsl:for-each>
<xsl:for-each select="ancestor::itemizedlist[not(last())]">
  <xsl:value-of select="$string"/>
</xsl:for-each>

<xsl:if test="$list.depth != 0">
  <xsl:if test="$list.depth &gt; 1">
    <xsl:value-of select="$string"/>
  </xsl:if>
  <xsl:if test="position() != 1">
    <xsl:if test="position() != last() or $begin = 1">
      <xsl:value-of select="$string"/>
    </xsl:if>
  </xsl:if>
</xsl:if>
</xsl:template>


<xsl:template match="figure/title">
  <xsl:call-template name="ragged.left.para"></xsl:call-template>
</xsl:template>
<xsl:template match="informalfigure/title"> </xsl:template>
</xsl:stylesheet>
