<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>
<!--########################################################################### 
 |    $Id: figure.mod.xsl,v 1.2 2001/10/14 20:21:59 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE: Template for figure tag.
 + ############################################################################ -->

<!-- Floats don't need nesting support anymore in this format. -->

<xsl:template match="figure|informalfigure">
<xsl:text>\begin_inset Float figure&#10;</xsl:text>
<xsl:text>placement htbp&#10;</xsl:text>
<xsl:text>wide false&#10;</xsl:text>
<xsl:text>collapsed false&#10;</xsl:text>

<xsl:if test="graphic|mediaobject">
  <xsl:text>\layout Standard&#10;</xsl:text>
  <xsl:text>\align center&#10;</xsl:text>
</xsl:if>
<xsl:apply-templates select="graphic|mediaobject|programlisting|literallayout"/>
<xsl:text>&#10;\layout Caption&#10;</xsl:text>
<xsl:choose> 
  <xsl:when test="title">
    <xsl:apply-templates select="title"/>
  </xsl:when> 
  <xsl:otherwise>
    <xsl:text>***Please, add a title to figures</xsl:text>
  </xsl:otherwise> 
</xsl:choose>
<xsl:text>&#10;</xsl:text>
<xsl:call-template name="label.id"/>
<xsl:text>\end_inset &#10;</xsl:text>

</xsl:template>

</xsl:stylesheet>
