<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: preamble.mod.xsl,v 1.1 2001/10/14 20:18:32 ben Exp $        
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 |   PURPOSE: Variables and templates to manage LaTeX preamble. 
 + ############################################################################ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>


<xsl:template name="generate.lyx.common.preamble">
<xsl:param name="textclass"/>
<xsl:text>#LyX 1.2 created this file. For more info see http://www.lyx.org/&#10;</xsl:text>
<xsl:text>\lyxformat 220&#10;</xsl:text>
<xsl:text>\textclass </xsl:text>
<xsl:value-of select="$textclass"/>
<xsl:text>&#10;</xsl:text>
<xsl:text>\language </xsl:text>
<xsl:value-of select="$lyx.lang.lang"/>
<xsl:text>&#10;</xsl:text>
<xsl:text>\inputencoding </xsl:text><xsl:value-of select="$lyx.lang.encoding"/>
<xsl:text>&#10;</xsl:text>
<xsl:text>\fontscheme </xsl:text><xsl:value-of select="$lyx.doc.font"/>
<xsl:text>&#10;</xsl:text>
<xsl:text>\graphics default&#10;</xsl:text>
<xsl:text>\paperfontsize default&#10;</xsl:text>
<xsl:text>\spacing single &#10;</xsl:text>
<xsl:text>\papersize Default&#10;</xsl:text>
<xsl:text>\paperpackage widemarginsa4&#10;</xsl:text>
<xsl:text>\use_geometry 0&#10;</xsl:text>
<xsl:text>\use_amsmath 0&#10;</xsl:text>
<xsl:text>\use_natbib 0&#10;</xsl:text>
<xsl:text>\use_numerical_citations 0&#10;</xsl:text>
<xsl:text>\paperorientation portrait&#10;</xsl:text>
<xsl:text>\secnumdepth </xsl:text><xsl:value-of select="$num.section.depth"/>
<xsl:text> &#10;</xsl:text>
<xsl:text>\tocdepth </xsl:text><xsl:value-of select="$toc.section.depth"/>
<xsl:text> &#10;</xsl:text>
<xsl:text>\paragraph_separation </xsl:text>
<xsl:value-of select="$lyx.doc.separation"/> <xsl:text>&#10;</xsl:text>
<xsl:text>\defskip medskip&#10;</xsl:text>
<xsl:text>\quotes_language english&#10;</xsl:text>
<xsl:text>\quotes_times 2&#10;</xsl:text>
<xsl:text>\papercolumns 1&#10;</xsl:text>
<xsl:text>\papersides 1&#10;</xsl:text>
<xsl:text>\paperpagestyle default&#10;</xsl:text>
<xsl:text>\bullet 0&#10;</xsl:text>
<xsl:text>    2&#10;</xsl:text>
<xsl:text>    5&#10;</xsl:text>
<xsl:text>    -1&#10;</xsl:text>
<xsl:text>\end_bullet&#10;&#10;</xsl:text>

</xsl:template>
</xsl:stylesheet>

