<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: unsupported.mod.xsl,v 1.1 2001/10/14 20:18:32 ben Exp $        
 |- ###########################################################################
 |   $Author: ben $
 |
 |   PURPOSE: Generic procedure to translate elements that are not directly
 |            supported by LyX.
 |
 + ############################################################################ -->
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>

<!-- Method to include undefined inlined elements, with ERT.
     Note that the \latex commands should be terminated by a \n. Unfortunately
     if we do so the ragged.left funcion removes some expected spaces.
-->

<xsl:template name="unsupported.inline">
  <xsl:message>***Warning: element &lt;<xsl:value-of select="name()"/>&gt; not translated</xsl:message>
  <xsl:param name="content">
    <xsl:apply-templates/>
  </xsl:param>
  <xsl:text>&#10;\begin_inset ERT</xsl:text>
  <xsl:text>&#10;status Collapsed&#10;</xsl:text>
  <xsl:text>&#10;\layout Standard&#10;</xsl:text>
  <xsl:call-template name="element.begin"/>
  <xsl:text>&#10;\end_inset </xsl:text>
  
  <xsl:copy-of select="$content"/>
  
  <xsl:text>&#10;\begin_inset ERT</xsl:text>
  <xsl:text>&#10;status Collapsed&#10;</xsl:text>
  <xsl:text>&#10;\layout Standard&#10;</xsl:text>
  <xsl:call-template name="element.end"/>
  <xsl:text>&#10;\end_inset &#10;</xsl:text>
</xsl:template>

</xsl:stylesheet>
