<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: para.mod.xsl,v 1.8 2001/07/04 22:45:57 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->

<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>


<xsl:template name="ragged.left.para">
  <xsl:variable name="string">
    <xsl:call-template name="string-replace-cyclic">
      <xsl:with-param name="to"><xsl:text>&#10;</xsl:text></xsl:with-param>
      <xsl:with-param name="from"><xsl:text>&#10; </xsl:text></xsl:with-param>
      <xsl:with-param name="string">
        <!-- Add a newline to skip spaces for the first line -->
        <xsl:text>&#10;</xsl:text><xsl:apply-templates/>
      </xsl:with-param>
    </xsl:call-template>
  </xsl:variable>

  <!-- Let's remove the first newline -->
  <xsl:value-of select="substring-after($string,'&#10;')"/>
</xsl:template>

<xsl:template name="std.para">
    <xsl:text>&#10;\layout Standard&#10;&#10;</xsl:text>
    <xsl:call-template name="ragged.left.para"/>
</xsl:template>

<doc:template name="simpara" id="unsupported" xmlns="">
  <refpurpose>Simple paragraph</refpurpose>
  <refdescription>
    <para>This element is translated exactly like the <literal>para</literal>
    element. The reason is that it is really a basic element, and considering
    it as a paragraph make no information loss.</para>
    <para>Anyway should this element be supported by a new LyX layout?</para>
  </refdescription>
</doc:template>

<xsl:template match="para|simpara">
  <xsl:call-template name="std.para"/>
</xsl:template>

<doc:template name="formalpara" id="unsupported" xmlns="">
  <refpurpose>Formal paragraph</refpurpose>
  <refdescription>
    <para>This element is translated in raw SGML, since we don't know how to
    translate its <literal>title</literal> element.
    </para>
  </refdescription>
</doc:template>

<xsl:template match="formalpara">
  <xsl:call-template name="unsupported.block"/>
</xsl:template>


<!--========================================================================== 
 |    Especial Cases Do not add Linefeed 
 +============================================================================-->

<xsl:template match="textobject/para"> <xsl:apply-templates/> </xsl:template>
<xsl:template match="step/para">
<xsl:call-template name="ragged.left.para"/>
</xsl:template>
<xsl:template match="entry/para"> <xsl:apply-templates/> </xsl:template>
<xsl:template match="question/para"> <xsl:apply-templates/> </xsl:template>
<xsl:template match="answer/para"> <xsl:apply-templates/> </xsl:template>


</xsl:stylesheet>
